### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
SuperFundPayoff Class Reference

Binary supershare and superfund payoffs. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for SuperFundPayoff:
[legend]

List of all members.

## Public Member Functions

| SuperFundPayoff (Real strike, Real secondStrike)
Real | secondStrike () const
Payoff interface
std::string | name () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Protected Attributes

Real | secondStrike_

## Detailed Description

Binary supershare and superfund payoffs.

Binary superfund payoff

Superfund sometimes also called "supershare", which can lead to ambiguity; within QuantLib the terms supershare and superfund are used consistently according to the definitions in Bloomberg OVX function's help pages.

This payoff is equivalent to being (1/lowerstrike) a) long (short) an AssetOrNothing Call (Put) at the lower strike and b) short (long) an AssetOrNothing Call (Put) at the higher strike

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.